# Generated by Django 4.2.11 on 2024-03-29 18:40

from django.db import migrations


def set_contributors(apps, _):
    Note = apps.get_model("program", "Note")

    for note in Note.objects.filter(contributors=None).exclude(
        timeslot__schedule__show__hosts=None
    ):
        note.contributors.set(note.timeslot.schedule.show.hosts.values_list("id", flat=True))
        note.save()


def set_language(apps, _):
    Note = apps.get_model("program", "Note")

    for note in Note.objects.filter(language=None).exclude(
        timeslot__schedule__show__language=None
    ):
        note.language.set(note.timeslot.schedule.show.language.values_list("id", flat=True))
        note.save()


def set_topic(apps, _):
    Note = apps.get_model("program", "Note")

    for note in Note.objects.filter(topic=None).exclude(timeslot__schedule__show__topic=None):
        note.topic.set(note.timeslot.schedule.show.topic.values_list("id", flat=True))


class Migration(migrations.Migration):
    dependencies = [
        ("program", "0085_attach_notes"),
    ]

    operations = [
        migrations.RunPython(code=set_contributors),
        migrations.RunPython(code=set_language),
        migrations.RunPython(code=set_topic),
    ]
